%global debug_package %{nil}
%global git_tag RELEASE.2025-07-16T15-35-03Z

Name:           minio-client
Version:        %(echo %{git_tag} | grep --only-matching --perl-regexp '\d{4}-\d{2}-\d{2}' | sed 's/-/./g')
Release:        1%{?dist}
Summary:        Unix like utilities for object store
License:        AGPL-3.0
URL:            https://github.com/minio/mc
Source0:        https://github.com/minio/mc/archive/refs/tags/%{git_tag}.tar.gz


ExclusiveArch: x86_64 aarch64


BuildRequires:  git
BuildRequires:  golang


Obsoletes: minio-mc


%description
MinIO Client (mc) provides a modern alternative to UNIX commands like
ls, cat, cp, mirror, diff, find etc. It supports filesystems and
Amazon S3 compatible cloud storage service (AWS Signature v2 and v4).


%prep
%autosetup -n mc-%{git_tag}


%build
GO111MODULE=on CGO_ENABLED=0 go build -trimpath -tags kqueue \
  --ldflags "-s -w -X github.com/minio/mc/cmd.Version=$(echo %{git_tag} | sed 's/^.*\.//')" \
  -o mc


%install
install -D mc %{buildroot}%{_bindir}/mc


%files
%doc README.md
%license LICENSE
%attr(0755, -, -) %{_bindir}/mc


%changelog
%autochangelog
